Skip to content

List Component Bundles

GET
/versions/bundles
curl --request GET \
--url 'https://api.mengi.cloud/versions/bundles?stable_only=false'

Get available component bundles from GitLab tags.

Component bundles are git tags in the mengi-cluster-apps repository. This endpoint queries GitLab API and caches results for 5 minutes.

stable_only
Stable Only

Only return stable bundles

boolean

Only return stable bundles

Successful Response

Media type application/json
ComponentBundleListResponse

List of component bundles.

object
bundles
required
Bundles
Array<object>
ComponentBundleResponse

Response schema for a component bundle (from git tags).

object
version
required
Version
string
git_tag
required
Git Tag
string
display_name
Any of:
string
release_notes
Any of:
string
is_stable
Is Stable
boolean
is_latest
Is Latest
boolean
created_at
Any of:
string format: date-time
description
Any of:
string
Example
{
"bundles": [
{
"is_stable": false,
"is_latest": false
}
]
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}